/*****************************************************************************
 *****************************************************************************
Copyright (c) 2000-2001 Intel Corporation. 
 
All rights reserved.
Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.
 
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation 
    and/or other materials provided with the distribution.
 
 3. Neither the name of Intel Corporation nor the names of its contributors 
    may be used to endorse or promote products derived from this software 
    without specific prior written permission.
 
 
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 *****************************************************************************
 ****************************************************************************/

/**********************************************************************
 *                                                                     *
 * INTEL CORPORATION                                                   *
 *                                                                     *
 * This software is supplied under the terms of the license included   *
 * above.  All use of this software must be in accordance with the     *
 * terms of that license.                                              *
 *                                                                     *
 * Module Name:  idiag_pro.h                                           *
 *                                                                     *
 * Abstract:     Header file for data structure definition for common  *
 *               diagnostics support                                   *
 *                                                                     *
 **********************************************************************/

#ifndef _IDIAG_PRO_H
#define _IDIAG_PRO_H

#ifndef USHORT
#define USHORT uint16_t
#endif

#ifndef ULONG
#define ULONG uint32_t
#endif

#define IDIAG_PRO_VERSION			0x100
#define IDIAG_PRO_PARAM_SIZE		0x80

#define IDIAG_PRO_DRIVER_UNKNOWN	0x0
#define IDIAG_PRO_IDENTIFY_DRIVER	0x0

#define IDIAG_PRO_BASE_SIOC	(SIOCDEVPRIVATE + 2)

/* Enumeration typedefines */
typedef enum {
	IDIAG_PRO_STAT_OK,
	IDIAG_PRO_STAT_TEST_FAILED,
	IDIAG_PRO_STAT_INVALID_STATE,
	IDIAG_PRO_STAT_NOT_SUPPORTED,
	IDIAG_PRO_STAT_TEST_FATAL
} idiag_pro_stat_t;

typedef struct {
	unsigned int cmd;
	unsigned int interface_ver;
	unsigned int driver_id;
	unsigned int reserved_in[8];
	idiag_pro_stat_t status;
	unsigned int reserved_out[8];
	unsigned char diag_param[IDIAG_PRO_PARAM_SIZE];
} idiag_pro_data_t;

#endif
