/*****************************************************************************
 *****************************************************************************
 Copyright (c) 1999 - 2001, Intel Corporation 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation 
    and/or other materials provided with the distribution.

 3. Neither the name of Intel Corporation nor the names of its contributors 
    may be used to endorse or promote products derived from this software 
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
 ****************************************************************************/

 /***************************************************************************
 **                                                                        **
 ** INTEL CORPORATION                                                      **
 **                                                                        **
 ** This software is supplied under the terms of the license included      **
 ** above.  All use of this software must be in accordance with the terms  **
 ** of that license.                                                       **
 **                                                                        **
 **  THIS FILE IS INCLUDED BY ians_core.o. HENCE, IT SHOULD NOT BE         **
 **  MODIFIED!                                                             **
 **                                                                        **
 ** Module Name:                                                           **
 **	 base_comm_os.h                                                    **
 **                                                                        ** 
 ** Description:                                                           **
 **	 This header file defines the os dependent communications          **
 **       between the Intel Advanced Networking Services (iANS) module     **
 **       and the base drivers bound below it.                             **
 **                                                                        **
 ***************************************************************************/


#ifndef _IANS_BASE_COMM_OS_H
#define _IANS_BASE_COMM_OS_H

#include <linux/sockios.h> /* for SIOCDEVPRIVATE */
#include "base_comm.h"

/*--------------------------------------------------------------------*
 | PRIMITIVES baring iANS communications
 | =====================================
 *--------------------------------------------------------------------*/

/* The proprietary iANS IOCTL code */
#define IANS_BASE_SIOC		(SIOCDEVPRIVATE+1)
/* The proprietary event notifications code */
#define IANS_BASE_NOTIFY	(('S'<<24)|('N'<<16)|('A'<<8)|('i')) /* "iANS" */


/* ================================================================= *
 *                                                                   *
 *                           Per-Message Attributes                  *
 *                                                                   *
 * ================================================================= */


/* Turn into a legal pointer */
#if defined(__i386__)
        #define CelingAlignPtr(p)	( p )
#else
        #error TBD 
#endif



/* The attribute header is kept at the beginning of the allocated buffer */
#define iANSGetReceiveAttributeHeader(skb) \
		( (IANS_ATTR_HEADER*) CelingAlignPtr ( (char*)((skb)->head) ) ) 


#define iANSGetTransmitAttributeHeader(skb) \
		( (IANS_ATTR_HEADER*) CelingAlignPtr ( (char*)((skb)->cb) ) ) 



#endif
