@echo off
cls
rem makedisk batch file
rem created 6/23/99
rem last modified 06/27/01 VO
rem minimum requirements DOS 6.22 or NT 3.51 or Windows 95 or newer

rem Check available environment space
set env_chk=0123456789abcdef
if %env_chk% == 0123456789abcdef goto preprocess
goto env_bad

:preprocess
set env_chk=
if NOT "%_silent%" == "" goto env_ok
set _silent=TRUE
if "%3" == "silent" %0 %1 %2
if "%3" == "SILENT" %0 %1 %2
if "%2" == "silent" %0 %1 %3
if "%2" == "SILENT" %0 %1 %3
if "%1" == "silent" %0 %2 %3
if "%1" == "SILENT" %0 %2 %3
set _silent=FALSE

:env_ok
rem Check that OS (%1) and destination (%2) are supplied and valid
if "%1" == "" goto USAGE
set dest=
if "%2" == "" set dest=A:
if "%2" == "A:" set dest=A:
if "%2" == "a:" set dest=A:
if "%2" == "A:\" set dest=A:
if "%2" == "a:\" set dest=A:
if "%2" == "B:" set dest=B:
if "%2" == "b:" set dest=B:
if "%2" == "B:\" set dest=B:
if "%2" == "b:\" set dest=B:
if "%dest%" == "" goto setdest
goto dest_ok

:setdest
set dest=%2
goto dest_ok

:dest_ok
if not exist ..\VERFILE.TIC goto wrongdir
if "%1" == "nt" goto valid
if "%1" == "NT" goto valid
if "%1" == "nt4hotadd" goto valid
if "%1" == "NT4HOTADD" goto valid
if "%1" == "NT4HotAdd" goto valid
if "%1" == "xp" goto valid
if "%1" == "XP" goto valid
if "%1" == "w2k" goto valid
if "%1" == "W2K" goto valid
if "%1" == "w9x" goto valid
if "%1" == "W9X" goto valid
if "%1" == "nw" goto valid
if "%1" == "NW" goto valid
if "%1" == "dos" goto valid
if "%1" == "DOS" goto valid
if "%1" == "modem" goto valid
if "%1" == "MODEM" goto valid
goto invalid

:invalid
echo !!! COMMAND LINE PARAMETERS ARE NOT CORRECT !!!
goto usage

:valid
if "%dest%" == "A:" goto floppy
if "%dest%" == "B:" goto floppy
goto nofloppy

:nofloppy
set mode=nofloppy
cls
echo The destination you specified (%dest%) does not
echo appear to be a diskette. If you are trying to create a diskette,
echo press Control-C and answer Y. Then enter this command again, being sure
echo enter the drive letter without a trailing backslash (A: or B:).
echo.
echo If you do want the files copied to %dest%,
if "%_silent%" == "FALSE" pause
goto continue

:floppy
set mode=floppy
cls
if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure that the disk in %dest% is 1.44 meg, formatted non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
if "%_silent%" == "FALSE" pause
goto continue

:continue
if not exist ..\NET82557.INF goto wrongdir
if "%1" == "nt" goto nt
if "%1" == "NT" goto nt
if "%1" == "nt4hotadd" goto nt
if "%1" == "NT4HOTADD" goto nt
if "%1" == "NT4HotAdd" goto nt
if "%1" == "xp" goto XP
if "%1" == "XP" goto XP
if "%1" == "w2k" goto w2k
if "%1" == "W2K" goto w2k
if "%1" == "w9x" goto w9x
if "%1" == "W9X" goto w9x
if "%1" == "nw" goto nw
if "%1" == "NW" goto nw
if "%1" == "dos" goto dos
if "%1" == "DOS" goto dos
if "%1" == "modem" goto modem
if "%1" == "MODEM" goto modem
goto USAGE

:nt
rem     *** Start of the Windows NT section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Microsoft Windows NT
echo files to %dest%.  You will need two (2) floppy diskettes.
echo Press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

if "%1" == "nt4hotadd" goto nt4hotadd
if "%1" == "NT4HOTADD" goto nt4hotadd
if "%1" == "NT4HotAdd" goto nt4hotadd

if exist ..\makedisk\NT4\oemsetup.inf goto split
copy ..\oemsetup.inf %dest%
goto nttestcopy

:nt4hotadd
copy ..\Setup\hotadd.nt4\oemsetup.inf %dest%
goto nttestcopy

:split
copy ..\makedisk\NT4\oemsetup.inf %dest%
goto nttestcopy

:nttestcopy
if not exist %dest%\oemsetup.inf goto NOCOPY
goto nt_copyfile

:nt_copyfile
md %dest%\NMS
md %dest%\PROSet2
copy ..\d100disk %dest%
copy ..\NMS\NMSCFG.SY_ %dest%\NMS
copy ..\NMS\NMSDD.SY_ %dest%\NMS
copy ..\NMS\NMSSVC.EX_ %dest%\NMS
copy ..\NMS\NMSSVCPS.DL_ %dest%\NMS
copy ..\NMS\NMSMSG.DL_ %dest%\NMS
copy ..\NMS\NMSAPI.DL_ %dest%\NMS
copy ..\NMS\RegSvr32.ex_ %dest%\NMS
copy ..\makedisk\NT4\PROMON.EX_ %dest%\PROSet2
copy ..\makedisk\NT4\PROSetp.hl_ %dest%\PROSet2
copy ..\makedisk\NT4\PROSetp.cn_ %dest%\PROSet2
copy ..\makedisk\NT4\roboex32.dl_ %dest%\PROSet2
echo.
echo Please remove the diskette and label it
echo Intel(R) PRO/100 LAN Adapter Configuration and Microsoft Windows NT
echo Drivers (Release # from your CD) Disk 1
echo.
echo When ready, insert disk two and then press ENTER to continue
echo.
pause

if "%1" == "nt4hotadd" goto more_heat
if "%1" == "NT4HOTADD" goto more_heat
if "%1" == "NT4HotAdd" goto more_heat

copy ..\oemsetup.inf %dest%
goto continue

:more_heat
copy ..\Setup\hotadd.nt4\oemsetup.inf %dest%
goto continue

:continue
copy ..\d100dsk2 %dest%
md %dest%\PROSet2
copy ..\makedisk\NT4\PROSetp.cp_ %dest%\PROSet2

rem Now lets look for the OPTION-DRIVERS
if exist ..\makedisk\NT4\E100BNT.SY_ copy ..\makedisk\NT4\E100BNT.sy_ %dest%
if exist ..\makedisk\NT4\CBMODEM.SY_ copy ..\makedisk\NT4\CBMODEM.SY_ %dest%
if exist ..\makedisk\NT4\IANSNT4.SY_ copy ..\makedisk\NT4\IANSNT4.SY_ %dest%
if exist ..\makedisk\NT4\IANSNT4E.SY_ copy ..\makedisk\NT4\IANSNT4E.SY_ %dest%
if exist ..\makedisk\NT4\IANSNT4N.SY_ copy ..\makedisk\NT4\IANSNT4N.SY_ %dest%
if exist ..\PROSet2\PROSetp.re_ copy ..\PROSet2\PROSetp.re_ %dest%\PROSet2

echo.
echo.
echo Please remove the diskette and label it
echo Intel(R) PRO/100 LAN Adapter Configuration and Microsoft Windows NT
echo Drivers (Release # from your CD) Disk 2
echo.
goto end

:XP
rem     *** Start of the Windows XP section ***
cls
echo.
echo This batch file will copy the Microsoft Windows XP driver
echo files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.
copy ..\NETi557x.INF %dest%
if not exist %dest%\NETi557x.INF goto NOCOPY
goto xp_copyfile

:xp_copyfile
copy ..\net82557.din %dest%
copy ..\E100BW2K.CAT %dest%
copy ..\E100B325.SYS %dest%
copy ..\Prounstl.exe %dest%
copy ..\IntelNic.dll %dest%
echo. 
echo Base driver files have been copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration and
echo Microsoft Windows XP Drivers (Release # from your CD)
echo.
goto end

:w2k
rem     *** Start of the Windows 2000 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Microsoft Windows 2000 driver
echo files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.
copy ..\NETi557x.INF %dest%
if not exist %dest%\NETi557x.INF goto NOCOPY
goto w2k_copyfile

:w2k_copyfile
copy ..\net82557.din %dest%
copy ..\E100BW2K.CAT %dest%
copy ..\E100BNT5.SYS %dest%
copy ..\Prounstl.exe %dest%
copy ..\IntelNic.dll %dest%
echo. 
echo Base driver files have been copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration and
echo Microsoft Windows 2000 Drivers (Release # from your CD)
echo.
goto end

:w9x
rem     *** Start of the Windows 9x section ***
rem Echo what we are about to do
cls
echo.
echo.
echo This batch file will copy the driver files for Microsoft
echo Windows 95, 98 and Windows ME operating systems
echo to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\net82557.inf %dest%
if not exist %dest%\net82557.inf goto NOCOPY
goto w9x_copyfile

:w9x_copyfile
copy ..\net82557.din %dest%
copy ..\8255XDEL.EXE %dest%
copy ..\8255XNDI.DLL %dest%
copy ..\net8255a.inf %dest%
copy ..\e100ba.cat %dest%
copy ..\E100B.CAT %dest%
copy ..\E100B.SYS %dest%
copy ..\E100BNT.SYS %dest%
copy ..\E100BNT5.SYS %dest%
copy ..\WOL558.VXD %dest%
copy ..\DIAG100.EXE %dest%
copy ..\DOS\e100bodi.com %dest%
copy ..\Prounstl.exe %dest%
copy ..\IntelNic.dll %dest%
echo. 
echo Base driver files and DOS diagnostic copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration and
echo Microsoft Windows Drivers (Release # from your CD)
echo.
goto end

:nw
rem     *** Start of the NetWare section ***
echo.
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the NetWare server and client
echo driver files to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:TESTCOPY
copy ..\DIAG100.EXE %dest%
if not exist %dest%\DIAG100.EXE goto nocopy
goto nw_copyfiles

:nw_copyfiles
md %dest%\NWSERVER
copy ..\NWSERVER\*.* %dest%\NWSERVER
md %dest%\OS2
md %dest%\DOS
copy ..\README.TXT %dest%
copy ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy ..\DOS\*.* %dest%\DOS
copy ..\OS2\*.* %dest%\OS2

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and Novell Drivers (Release # from your CD)
echo.
goto END

:dos
rem     *** Start of the DOS and OS2 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the driver files for Microsoft
echo DOS and IBM OS/2 operating systems
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\DIAG100.EXE %dest%
if not exist %dest%\DIAG100.EXE goto NOCOPY
goto dos_makedirs

:dos_makedirs
md %dest%\DOS
md %dest%\OS2
goto dos_copyfile

:dos_copyfile
copy ..\README.TXT %dest%
copy ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy ..\DOS\*.* %dest%\DOS
copy ..\OS2\*.* %dest%\OS2

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and DOS - OS/2 Drivers (Release # from your CD)
echo.
goto END

:modem
rem     *** Start of the CardbusII modem files section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Intel(R) PRO/100 Mobile 
echo Adapter Modem driver files for all operating systems
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
if not exist %dest%\CBCOMBO.EXE goto NOCOPY
goto modem_makedirs

:modem_makedirs
md %dest%\CARDBUS

md %dest%\CARDBUS\SCRIPTS
md %dest%\CARDBUS\UTILITIES
goto modem_copyfile

:modem_copyfile
if exist ..\MDME100B.CAT copy ..\MDME100B.CAT %dest%
if exist ..\MDME100BW2K.CAT copy ..\MDME100BW2K.CAT %dest%
copy ..\CARDBUS\SCRIPTS\*.* %dest%\CARDBUS\SCRIPTS
copy ..\CARDBUS\UTILITIES\TELSEL.EXE %dest%\CARDBUS\UTILITIES
copy ..\CARDBUS\UTILITIES\MDMTEST.EXE %dest%\CARDBUS\UTILITIES
copy ..\CARDBUS\UTILITIES\COMSEL.EXE %dest%\CARDBUS\UTILITIES
copy ..\CBMODEM.SYS %dest%
copy ..\MDME100B.INF %dest%
copy ..\E100BCFG.EXE %dest%

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 Mobile Adapter Modem drivers 
echo (Release # from your CD)
echo.
goto END



:env_bad
set env_chk=
cls
echo ERROR: Your computer does not have sufficient environment space to
echo run this batch file. Please increase the available environment space
echo and run this batch file again. To increase the avaiable environment
echo space, please do the following;
echo.
echo                                  DOS
echo If you are running DOS, edit the CONFIG.SYS file and find the statement
echo COMMAND=C:\(PATH)\COMMAND.COM /e:(number)
echo where (path) is the directory path to your COMMAND.COM file and (number)
echo is a numerical value. Increase the numerical value by at least 32.
echo If this line does not exist, add the following line;
echo COMMAND=C:\COMMAND.COM /E:512
echo Reboot the computer before running this batch file again.
echo.
echo                        Windows 2000 and Windows NT
echo Click Start, then Run, then enter "CMD /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
echo.
echo                    Windows 95, Windows 98 and Windows ME
echo Click Start, then Run, then enter "COMMAND /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
goto end

:WRONGDIR
cls
echo You must run this utility from the \MAKEDISK directory.
goto usage

:NOCOPY
cls
echo.
echo Can not copy to %dest%.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules:
echo MAKEDISK [operating system] [destination (optional)] [silent (optional)]
echo.
echo where [operating system] is the OS family you are creating the diskette for
echo XP    = Microsoft Windows XP
echo W2K   = Microsoft Windows 2000
echo NT    = Microsoft Windows NT
echo NT4HOTADD = Microsoft Windows NT for Hot Add
echo W9X   = Microsoft Windows 95, Windows 98 and Windows ME
echo NW    = Novell NetWare servers and clients
echo DOS   = Microsoft DOS and IBM OS/2
echo Modem = Modem drivers for the PRO/100 Mobile Adapter (All Microsoft OS)
echo.
echo and where [destination] is the drive letter and path (such as A:)
echo and where [silent] = run in silent mode (does not pause for user input)
echo Do not add a trailing backslash (\) to the destination path.
echo [destination] (will be A: if none specified) is expected to be formatted media.
echo This utility MUST be run from the \MAKEDISK directory.
echo. 
echo EXAMPLE:

echo To create a Windows NT install diskette in A:, from the MAKEDISK directory run:
echo    MAKEDISK NT
echo.
pause
goto END

:END
set dest=
set mode=
set _silent=
